#
# Conditional build:
%bcond_with	tests		# build without tests

%define	pkgname childprocess
Summary:	A simple and reliable gem for controlling external programs
Name:		ruby-%{pkgname}
Version:	0.9.0
Release:	1
License:	MIT
Group:		Development/Languages
Source0:	http://rubygems.org/gems/%{pkgname}-%{version}.gem
# Source0-md5:	e3c0937c2c870117ef835f34ad836980
URL:		http://github.com/jarib/childprocess
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
%if %{with tests}
BuildRequires:	ruby-rake < 0.10
BuildRequires:	ruby-rake >= 0.9.2
BuildRequires:	ruby-rspec >= 2.0.0
BuildRequires:	ruby-yard
%endif
Requires:	ruby-ffi < 2
Requires:	ruby-ffi >= 1.0.11
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This gem aims at being a simple and reliable solution for controlling
external programs running in the background on any Ruby / OS
combination.

%package doc
Summary:	Documentation for %{name}
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{pkgname}-%{version}

rm lib/childprocess/windows.rb
rm -r lib/childprocess/windows
rm lib/childprocess/unix/platform/*-solaris.rb
rm lib/childprocess/unix/platform/*-macosx.rb

%build
%__gem_helper spec

%if %{with tests}
rspec spec
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_specdir}}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md LICENSE
%{ruby_vendorlibdir}/%{pkgname}.rb
%{ruby_vendorlibdir}/%{pkgname}
%{ruby_specdir}/%{pkgname}-%{version}.gemspec
%changelog
* Sun Jul 15 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-childprocess.git;a=log;h=master

* Sun Jul 15 2018 Jan Rękorajski <baggins@pld-linux.org> 195fba5
- up to 0.9.0

* Tue Sep 01 2015 Elan Ruusamäe <glen@delfi.ee> a0fec04
- rebuild without versioned ruby abi dep
- release 5 (by relup.sh)

* Sun Dec 14 2014 Elan Ruusamäe <glen@delfi.ee> 5dc1cd9
- drop non-linux platform files

* Sun Dec 14 2014 Elan Ruusamäe <glen@delfi.ee> b9385ed
- rebuild with gemspec deps

* Tue Jul 22 2014 Elan Ruusamäe <glen@delfi.ee> 920999f
- ruby 2.0 rebuld
- release 2 (by relup.sh)

* Thu Mar 13 2014 Elan Ruusamäe <glen@delfi.ee> 39901cf
- up to 0.5.0, support process trees

* Mon Jun 24 2013 Elan Ruusamäe <glen@delfi.ee> 757fb06
- up to 0.3.9

* Mon Jun 24 2013 Elan Ruusamäe <glen@delfi.ee> 2657f33
- build with rubygems provides

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> 04defb2
- up to 0.3.7

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> 0ae67ce
- new, version 0.3.6

